import 'package:comunic/models/conversation.dart';
import 'package:comunic/ui/widgets/safe_state.dart';
import 'package:comunic/ui/widgets/tablet_mode/conversations/conversation_window_container.dart';
import 'package:comunic/utils/intl_utils.dart';
import 'package:comunic/utils/ui_utils.dart';
import 'package:flutter/material.dart';

/// Single conversation window
///
/// @author Pierre Hubert

class ConversationWindow extends StatefulWidget {
  final int convID;
  final Function() onClose;

  const ConversationWindow({
    Key key,
    @required this.convID,
    @required this.onClose,
  })  : assert(convID != null),
        assert(onClose != null),
        super(key: key);

  @override
  _ConversationWindowState createState() => _ConversationWindowState();
}

class _ConversationWindowState extends SafeState<ConversationWindow> {
  Conversation _conversation;
  String _convTitle;

  @override
  Widget build(BuildContext context) {
    return ConversationWindowContainer(
      title: Text(tr("Loading...")),
      onClose: widget.onClose,
      body: buildCenteredProgressBar(),
    );
  }
}
